<?php
if($this->session->userdata('is_logged_in')===FALSE){
			redirect('login');
}
//==init
foreach ($template->result() as $template){
    $filename=$template->kdtemplate;
    $namafile=str_replace(" ","",$template->namatemplate);
}
$url = base_url("resources/template/akta/perdata_tun/".$filename.".rtf");
$Template = file_get_contents($url);
//===securing
$nomorPermohonan='..........';				$namaPN='..........';				$namaPanitera='..........';
$tahapan='..........';						$noPerkaraTahapan='..........';		$tglPutusTahapan='..........';
$statusPanitera='..........';				$tglpermohonan_pk='..........';		$namaPihak='..........';
$pekerjaanPihak='..........';				$alamatPihak='..........';			$tanggalSuratKuasa='..........';
$amarPutusTahapan='..........';				$haripk='..........';				$namaKuasa='..........';
$pekerjaanKuasa='..........';				$alamatKuasa='..........';			$TglCabut='..........';						
$hariCabut='..........';					$nomorcabut='..........';			$infoPemohon='..........';
$infoTermohon='..........';
//=============================================roby======================================================
$perkara = $dataTemplate;
$itunganPerkara = count($perkara);
$terpidana = array();
foreach ($perkara->result() as $perkara) {
			$nomorPerkara = $perkara->nomor_perkara;
			$no = explode("/",$perkara->nomor_perkara);
			$nomor = $no[0];
			$kodePerkara = $no[1];
			$tahunPerkara = $no[2];
			$kodePN = $no[3];
			$nomorPermohonan = $nomor."/Akta ".$kodePerkara."/".$tahunPerkara."/".$kodePN;
			$namaPN = $this->templatehelper->standradnaming($perkara->namaPengadilan);
			$namaPanitera = $this->templatehelper->standradnaming($perkara->pw);
			$tahapan = $perkara->Tahapan;
			$noPerkaraTahapan = $this->templatehelper->standradnaming($perkara->nomorPerkaraTahapan);
			$tglPutusTahapan = $this->templatehelper->convertKeTglIndo($perkara->putusan);
			$amarPutusTahapan = $perkara->amarPutusTahapan;
			$statusPanitera = $this->templatehelper->standradnaming($perkara->pejabat);
			$tglpermohonan_pk = $this->templatehelper->convertKeTglIndo($perkara->permohonan_pk);
			$haripk = $this->templatehelper->getHari($perkara->permohonan_pk);
			$namaPihak = $perkara->namaPihak;
			$pekerjaanPihak = $perkara->pekerjaanPihak;
			$alamatPihak = $perkara->alamatPihak;
			$tanggalSuratKuasa = $this->templatehelper->convertKeTglIndo($perkara->tanggalSuratKuasa);
			$namaKuasa = $this->templatehelper->standradnaming($perkara->pemohon_nama);
			$pekerjaanKuasa = $perkara->pemohon_pekerjaan;
			$alamatKuasa = $perkara->pemohon_alamat;
			$TglCabut = $this->templatehelper->convertKeTglIndo($perkara->tanggal_cabut);
			$hariCabut = $this->templatehelper->getHari($perkara->tanggal_cabut);
 }

/*$tCabut = explode("^",$tglCabut);
if (!empty($tCabut[1])){
		$TglCabut = $this->templatehelper->convertKeTglIndo($tCabut[1]);
		$hariCabut = $this->templatehelper->getHari($tCabut[1]);
		$nomorcabut = $tCabut[2];
}else{
		$TglCabut = "#isi tanggal cabut di aplikasi#";
		$hariCabut = "#isi tanggal cabut di aplikasi#";
		$nomorcabut = "#isi nomor cabut di aplikasi#";
}*/
//--------------------------------------------------------------------------------//

	$Template = str_replace('#nomorpermohonan#',''.$nomorPermohonan.'',$Template);
	$Template = str_replace('#namapanitera#',''.$namaPanitera.'',$Template);
	$Template = str_replace('#namapn#',''.$namaPN.'',$Template);
	$Template = str_replace('#jenisputusan#',''.$tahapan.'',$Template);
	$Template = str_replace('#nomorputusan#',''.$noPerkaraTahapan.'',$Template);
	$Template = str_replace('#tanggalputusan#',''.$tglPutusTahapan.'',$Template);
	$Template = str_replace('#statuspanitera#',''.$statusPanitera.'',$Template);
	$Template = str_replace('#tanggalpk#',''.$tglpermohonan_pk.'',$Template);
	$Template = str_replace('#haripk#',''.$haripk.'',$Template);	
	$Template = str_replace('#namaPihak#',''.$namaPihak.'',$Template);
	$Template = str_replace('#pekerjaanPihak#',''.$pekerjaanPihak.'',$Template);
	$Template = str_replace('#alamatPihak#',''.$alamatPihak.'',$Template);
	$Template = str_replace('#tanggalSuratKuasa#',''.$tanggalSuratKuasa.'',$Template);
	$Template = str_replace('#amarPutusTahapan#',''.$amarPutusTahapan.'',$Template);
	$Template = str_replace('#namaKuasa#',''.$namaKuasa.'',$Template);
	$Template = str_replace('#pekerjaanKuasa#',''.$pekerjaanKuasa.'',$Template);
	$Template = str_replace('#alamatKuasa#',''.$alamatKuasa.'',$Template);
	$Template = str_replace('#TglCabut#',''.$TglCabut.'',$Template);
	$Template = str_replace('#hariCabut#',''.$hariCabut.'',$Template);
	$Template = str_replace('#nomorcabut#',''.$nomorcabut.'',$Template);

	$infoPemohon='';
	$jmlPihak1=$datapemohonallpk->num_rows;
	$i=0;
	if (!empty($datapemohonallpk)) {
		foreach ($datapemohonallpk->result() as $row) {
			$infoPemohon .= $this->templatehelper->standradnaming($row->nama).' Warga negara Indonesia, pekerjaan '.$row->pekerjaan;
			$infoPemohon .= ', Tempat tinggal di '.$row->alamat;
			$infoPemohon .= ', untuk selanjutnya disebut sebagai '.$row->pihak_asal_text.' ';			
			$infoPemohon .= '/'.$row->status_pihak_text.' Peninjauan Kembali ;';
			$infoPemohon .=' \\par \\par ';
		}
	}
	$Template = str_replace('#infoPemohon#',''.$infoPemohon.'',$Template);

	$infoTermohon='';
	$jmlPihak2=$datatermohonallpk->num_rows;
	$i=0;
	if (!empty($datatermohonallpk)) {
		foreach ($datatermohonallpk->result() as $row) {
			$infoTermohon .= $this->templatehelper->standradnaming($row->nama).' Warga negara Indonesia, pekerjaan '.$row->pekerjaan;
			$infoTermohon .= ', Tempat tinggal di '.$row->alamat;
			$infoTermohon .= ', untuk selanjutnya disebut sebagai '.$row->pihak_asal_text.' ';			
			$infoTermohon .= '/'.$row->status_pihak_text.' Peninjauan Kembali ;';
			$infoTermohon .=' \\par \\par ';
		}
	}
	$Template = str_replace('#infoTermohon#',''.$infoTermohon.'',$Template);

header("Content-type: application/rtf");
header("Content-disposition: inline; filename=".$namafile."-".$nomorPerkara.".rtf");
header("Content-length: ".strlen($Template));
echo $Template;
?>